**[[質問箱4/31]] [#v02bf145]
#author("2018-03-11T19:18:40+09:00;2007-05-27T18:38:11+09:00","","")
**[[質問箱/4031]] [#v02bf145]
|RIGHT:70|LEFT:410|c
|~カテゴリ||
|~サマリ|CGI版PHPでユーザ認証を動作させるには|
|~バージョン|1.4.7|
|~投稿者|[[Kjm]]|
|~状態|完了|
|~投稿日|&new{2007-03-23 (金) 17:32:26};|
***質問 [#nfb4ac16]
 CGI版PHPでユーザ認証を動作させる方法を探してます。

 BASIC認証が使えないのが仕様とはわかりました。

 これは、認証時にポップアップするダイアログとCGI版PHPとの連携が正常に動作しないためとの考えでよいのでしょうか?

 この仮定が正しいとすると、自作プラグインの「UserPageAdmin(ユーザー、ページ認証の外部ファイル化とその管理モジュール)」をベースに、BASIC認証ダイアログを表示しないユーザ認証方法にPHPを変更するか、自作プラグインを作成すれば可能なものでしょうか。


***回答 [#a9c2683f]
- PHP5.2.1にFixed bug #39984 (redirect response code in header() could be ignored in CGI sapi). (Ilia) とあるので、PHP5.2.1移行なら動作するのかな? -- [[Kjm]] &new{2007-03-25 (日) 16:12:17};
- Plusには別の方法でユーザ認証できる仕組みがありました。UserPageAdminの管理方法と組み合わせられればいいのですが。 -- [[Kjm]] &new{2007-03-30 (金) 01:32:24};
- [[これ>雑談/15#gb83ea43]]とかは? --  &new{2007-04-12 (木) 17:32:04};
- [[これ(はてな認証API)>http://www.machu.jp/diary/20060818.html#p02]]とかは? --  &new{2007-04-12 (木) 17:32:56};
- ご連絡ありがとうございます。はてな認証APIですが、Plus! ですでに実装されていました。 -- [[Kjm]] &new{2007-04-13 (金) 02:36:57};
- PHP5.2.1でも、CGI版でも動作しないようです。 -- [[Kjm]] &new{2007-04-28 (土) 20:44:03};

#comment

トップ   編集 差分 バックアップ 添付 複製 名前変更 リロード   新規 一覧 検索 最終更新   ヘルプ   最終更新のRSS
Site admin: PukiWiki Development Team

PukiWiki 1.5.3+ © 2001-2020 PukiWiki Development Team. Powered by PHP 5.6.40-0+deb8u12. HTML convert time: 0.035 sec.

OSDN